<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy DistanceWin.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_distance_win_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">DistanceWin.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_distance_win_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef DISTANCEWIN_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define DISTANCEWIN_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="_framed_widget_8hpp.html">FramedWidget.hpp</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &quot;<a class="code" href="_numeric_data_8hpp.html">NumericData.hpp</a>&quot;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &quot;<a class="code" href="_robot_image_8hpp.html">RobotImage.hpp</a>&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">   18</a></span><span class="preprocessor">#define SENSORS 4</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="_distance_win_8hpp.html#a0a33b1743038db1adbbf1045aa839b38">   19</a></span><span class="preprocessor">#define WIN_HEIGHT 320</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="class_distance_win.html">   30</a></span><span class="keyword">class </span><a class="code hl_class" href="class_distance_win.html">DistanceWin</a> : <span class="keyword">public</span> <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>  Q_OBJECT</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">   40</a></span>    <a class="code hl_class" href="class_numeric_data.html">NumericData</a> *<a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[<a class="code hl_define" href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a>];</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">   48</a></span>    QGridLayout *<a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">   56</a></span>    <a class="code hl_class" href="class_robot_image.html">RobotImage</a> *<a class="code hl_variable" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">setVLayout</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">setStoredWidget</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <a class="code hl_class" href="class_distance_win.html">DistanceWin</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *dist_title, QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">   86</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">updateDistances</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> new_dist, <span class="keywordtype">int</span> index) { <a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[index]-&gt;<a class="code hl_function" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">update</a>(new_dist); }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>};</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="preprocessor">#endif </span><span class="comment">// DISTANCEWIN_HPP</span></div>
<div class="ttc" id="a_distance_win_8hpp_html_a11d038bc0d376b5a6a7634604b6e058d"><div class="ttname"><a href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a></div><div class="ttdeci">#define SENSORS</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00018">DistanceWin.hpp:18</a></div></div>
<div class="ttc" id="a_framed_widget_8hpp_html"><div class="ttname"><a href="_framed_widget_8hpp.html">FramedWidget.hpp</a></div><div class="ttdoc">Definicja klasy FramedWidget.</div></div>
<div class="ttc" id="a_numeric_data_8hpp_html"><div class="ttname"><a href="_numeric_data_8hpp.html">NumericData.hpp</a></div><div class="ttdoc">Definicja klasy NumericData.</div></div>
<div class="ttc" id="a_robot_image_8hpp_html"><div class="ttname"><a href="_robot_image_8hpp.html">RobotImage.hpp</a></div><div class="ttdoc">Definicja klasy RobotImage.</div></div>
<div class="ttc" id="aclass_distance_win_html"><div class="ttname"><a href="class_distance_win.html">DistanceWin</a></div><div class="ttdoc">Widget wyświetlający odczyty czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00030">DistanceWin.hpp:31</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a1a3d0eaeb4bcd4517194e38335d787c6"><div class="ttname"><a href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">DistanceWin::sensors_data</a></div><div class="ttdeci">NumericData * sensors_data[SENSORS]</div><div class="ttdoc">Tablica odczytów z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00040">DistanceWin.hpp:40</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a35e3bb3bcb09fb339dbad4d65c9e8c70"><div class="ttname"><a href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">DistanceWin::image_grid</a></div><div class="ttdeci">QGridLayout * image_grid</div><div class="ttdoc">Zarządca geometrii na planie siatki.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00048">DistanceWin.hpp:48</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a7511b81e0e352eb985ae7a671999618e"><div class="ttname"><a href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">DistanceWin::image</a></div><div class="ttdeci">RobotImage * image</div><div class="ttdoc">Obraz robota.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00056">DistanceWin.hpp:56</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a8bf9c3a9ff780ebdb692205762a88e81"><div class="ttname"><a href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">DistanceWin::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8cpp_source.html#l00064">DistanceWin.cpp:64</a></div></div>
<div class="ttc" id="aclass_distance_win_html_ac34b8fecb2ba393250b97f55518705cd"><div class="ttname"><a href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">DistanceWin::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8cpp_source.html#l00047">DistanceWin.cpp:47</a></div></div>
<div class="ttc" id="aclass_distance_win_html_af2f5aa946689b7e5274052aa9af6d442"><div class="ttname"><a href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">DistanceWin::updateDistances</a></div><div class="ttdeci">void updateDistances(unsigned int new_dist, int index)</div><div class="ttdoc">Aktualizuje odczyty z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00086">DistanceWin.hpp:86</a></div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_numeric_data_html"><div class="ttname"><a href="class_numeric_data.html">NumericData</a></div><div class="ttdoc">Wyświetla dane z czujnika odległości.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00026">NumericData.hpp:27</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a4b956764140411b9e8249ec9e4bd9b14"><div class="ttname"><a href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">NumericData::update</a></div><div class="ttdeci">void update(unsigned int new_value)</div><div class="ttdoc">Aktualizuje odczyt z czujnika odleŋłości.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00062">NumericData.cpp:62</a></div></div>
<div class="ttc" id="aclass_robot_image_html"><div class="ttname"><a href="class_robot_image.html">RobotImage</a></div><div class="ttdoc">Widget wyświetlający obraz robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_image_8hpp_source.html#l00026">RobotImage.hpp:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_distance_win_8hpp.html">DistanceWin.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
